LOCALSEARCH-EXTRACT(1)

NAME
localsearch-extract - Show metadata extractor output.

SYNOPSYS

localsearch extract FILE

DESCRIPTION

localsearch extract reads the file provided and extracts any metadata it can from this file, then displays the metadata on standard output.

The metadata is displayed as RDF data, equivalent to the data inserted in the indexer database relative to the extracted file metadata. This RDF data can feasibly be imported in a compatible triple store.

The actual metadata extraction is done by a separate sandboxed process.

OPTIONS

-o, --output-format=<FORMAT>
    Choose which format to use to output results. Supported formats are turtle, trig and json-ld.

EXAMPLES

Using command line to extract metadata from a file
    $ localsearch extract /path/to/some/file.mp3

SEE ALSO

localsearch status(1), localsearch info(1).